This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 153234 - NetworkManager quits/cores just as a connection is made.
NetworkManager quits/cores just as a connection is made.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-03 16:34 EDT by Brian Millett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-04 14:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
allow one more scan for cards that need it (1.52 KB, patch)
2005-04-04 14:31 EDT, Dan Williams
no flags Details | Diff

  None (edit)
Description Brian Millett 2005-04-03 16:34:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
NetworkManager just quits when it used to make a connection.  From the /var/log/messages:
Apr  3 15:10:28 localhost named[5847]: listening on IPv4 interface lo, 127.0.0.1#53
Apr  3 15:10:28 localhost named[5847]: binding TCP socket: address in use
Apr  3 15:10:28 localhost named[5847]: /var/named/data/NetworkManager-named.conf:7: no forwarders seen; disabling forwarding
Apr  3 15:10:28 localhost named[5847]: /var/named/data/NetworkManager-named.conf:7: no forwarders seen; disabling forwarding
Apr  3 15:10:28 localhost named[5847]: running
Apr  3 15:10:41 localhost NetworkManager: <ERROR>       [1112559041.402137]  (): Warning: the wireless card (eth1) requires too much time for scans.  Its driver needs to be fixed.
Apr  3 15:10:41 localhost NetworkManager: traceback:
Apr  3 15:10:41 localhost NetworkManager:       NetworkManager [0x8057264]
Apr  3 15:10:41 localhost NetworkManager:       NetworkManager [0x805ef6b]
Apr  3 15:10:41 localhost NetworkManager:       NetworkManager [0x805f066]
Apr  3 15:10:41 localhost NetworkManager:       NetworkManager [0x805a1df]
Apr  3 15:10:41 localhost NetworkManager:       /usr/lib/libglib-2.0.so.0 [0xd456d0]
Apr  3 15:10:41 localhost NetworkManager:       /usr/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1dc) [0xd4346e]
Apr  3 15:10:41 localhost NetworkManager:       /usr/lib/libglib-2.0.so.0 [0xd46476]
Apr  3 15:10:41 localhost NetworkManager:       /usr/lib/libglib-2.0.so.0(g_main_loop_run+0x1a1) [0xd46763]
Apr  3 15:10:41 localhost NetworkManager:       NetworkManager [0x8058219]
Apr  3 15:10:41 localhost NetworkManager:       /usr/lib/libglib-2.0.so.0 [0xd5e91a]
Apr  3 15:10:41 localhost NetworkManager:       /lib/tls/libpthread.so.0 [0xae5b17]
Apr  3 15:10:41 localhost NetworkManager:       /lib/tls/libc.so.6(__clone+0x5e) [0x96c87e]
Apr  3 15:11:06 localhost kernel: eth1: New link status: Disconnected (0002)


I'm using an orinoco driver minipci card.  

It worked until this upgrade.

Version-Release number of selected component (if applicable):
NetworkManager-0.4-5.cvs20050402

How reproducible:
Always

Steps to Reproduce:
1.start service NetworkManager
2.
3.
  

Actual Results:  NetworkManager quits

Expected Results:  not that.

Additional info:
Comment 1 Dan Williams 2005-04-03 19:23:49 EDT
Hmm, appears to be a driver issue...  Can you give the output of:

1) lspci
2) iwconfig
3) iwlist <your interface> scanning

and also what driver you are using with your card.

Thanks!
Comment 2 Dan Williams 2005-04-03 19:27:31 EDT
Hmm, I also see that the completion patch broke the "scan twice then fail" behavior that used to be in 
place.  I'll correct that and it should fix your problem.  The stock kernel driver for orinoco does not 
support scanning, so I assume you're using hostap, linux-wlan, or some other driver that you've built or 
installed yourself?
Comment 3 Brian Millett 2005-04-04 08:50:36 EDT
I'll answer both here:
(1)
[root@dufus ~]# lspci
00:00.0 Host bridge: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor to
I/O Controller (rev 01)
00:00.1 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 01)
00:00.3 System peripheral: Intel Corporation 82852/82855 GM/GME/PM/GMV Processor
to I/O Controller (rev 01)
00:02.0 VGA compatible controller: Intel Corporation 82852/855GM Integrated
Graphics Device (rev 01)
00:02.1 Display controller: Intel Corporation 82852/855GM Integrated Graphics
Device (rev 01)
00:1d.0 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M)
USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801DB/DBM (ICH4/ICH4-M) USB2 EHCI
Controller (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 83)
00:1f.0 ISA bridge: Intel Corporation 82801DBM (ICH4-M) LPC Interface Bridge
(rev 03)
00:1f.1 IDE interface: Intel Corporation 82801DBM (ICH4-M) IDE Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) SMBus
Controller (rev 03)
00:1f.5 Multimedia audio controller: Intel Corporation 82801DB/DBL/DBM
(ICH4/ICH4-L/ICH4-M) AC'97 Audio Controller (rev 03)
00:1f.6 Modem: Intel Corporation 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97
Modem Controller (rev 03)
02:01.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
02:02.0 Network controller: Intersil Corporation Prism 2.5 Wavelan chipset (rev 01)
02:04.0 CardBus bridge: O2 Micro, Inc. OZ6933/711E1 CardBus/SmartCardBus
Controller (rev 01)
02:04.1 CardBus bridge: O2 Micro, Inc. OZ6933/711E1 CardBus/SmartCardBus
Controller (rev 01)
(2)
[root@dufus ~]# iwconfig
lo        no wireless extensions.

eth0      no wireless extensions.

eth1      IEEE 802.11b  ESSID:"delmar"  Nickname:"Prism  I"
          Mode:Managed  Frequency:2.437 GHz  Access Point: 00:40:05:25:0E:71
          Bit Rate:5.5 Mb/s   Sensitivity:1/3
          Retry min limit:8   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=2/92  Signal level=128/153  Noise level=112/153
          Rx invalid nwid:0  Rx invalid crypt:1167  Rx invalid frag:0
          Tx excessive retries:10  Invalid misc:0   Missed beacon:0

(3)
[root@dufus ~]# iwlist eth1 scanning
eth1      Scan completed :
          Cell 01 - Address: 00:40:05:25:0E:71
                    ESSID:"delmar"
                    Mode:Master
                    Frequency:2.437 GHz (Channel 6)
                    Signal level:16/153  Noise level:13/153
                    Encryption key:off
                    Bit Rate:1 Mb/s
                    Bit Rate:2 Mb/s
                    Bit Rate:5.5 Mb/s
                    Bit Rate:11 Mb/s
                    Bit Rate:22 Mb/s

(4)
Just the plain already installed orinoco_cs, but cvs'ed.

orinoco_cs: Orinoco and Prism 2 wireless card driver
:ext:anoncvs@savannah.nongnu.org:/cvsroot/orinoco
Comment 4 Dan Williams 2005-04-04 13:38:48 EDT
should be fixed in CVS
Comment 5 Dan Williams 2005-04-04 14:03:11 EDT
Look for NetworkManager-0.4-6.cvs20050404, that should contain the fix.
Comment 6 Brian Millett 2005-04-04 14:17:12 EDT
[bpm]$ CVS_RSH=ssh cvs -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome update -dP
cvs update: Updating .
cvs update: Updating dhcpcd
cvs update: Updating dispatcher-daemon
cvs update: Updating docs
cvs update: Updating examples
cvs update: Updating examples/python
cvs update: Updating examples/python/systray
cvs update: Updating info-daemon
cvs update: Updating initscript
cvs update: Updating initscript/Debian
cvs update: Updating initscript/Gentoo
cvs update: Updating initscript/RedHat
cvs update: Updating initscript/Slackware
cvs update: Updating libnm_glib
cvs update: Updating named
cvs update: Updating panel-applet
cvs update: Updating panel-applet/icons
cvs update: Updating po
cvs update: Updating src
cvs update: Updating src/backends
cvs update: Updating test
cvs update: Updating utils


Does it take a while to appear?
Comment 7 Dan Williams 2005-04-04 14:30:54 EDT
Up to 12 hours :(  Patch is attached though.
Comment 8 Dan Williams 2005-04-04 14:31:25 EDT
Created attachment 112677 [details]
allow one more scan for cards that need it
Comment 9 Dan Williams 2005-04-04 14:32:21 EDT
Could you test that patch out and see if that fixes your problem?  Thanks!
Comment 10 Brian Millett 2005-04-04 15:10:02 EDT
:-)

Apr  4 14:08:56 localhost NetworkManager: dhcp_interface_init: MAC address =
00:02:6f:04:64:6a
Apr  4 14:08:56 localhost NetworkManager: Broadcasting DHCP_DISCOVER
Apr  4 14:08:56 localhost NetworkManager: DHCP: Starting request loop, overall
start_time = {1112641736s, 93556us}
Apr  4 14:08:56 localhost NetworkManager: DHCP: Request sent, waiting for reply...
Apr  4 14:08:56 localhost NetworkManager: DHCP: Got some data of length 104.
Apr  4 14:08:56 localhost NetworkManager: DHCP: Reply message's source port
(37557) was not the DHCP server port number (67), won't use it.
Apr  4 14:08:57 localhost NetworkManager: DHCP: Got some data of length 104.
Apr  4 14:08:57 localhost NetworkManager: DHCP: Reply message's source port
(37836) was not the DHCP server port number (67), won't use it.
Apr  4 14:08:57 localhost NetworkManager: DHCP: Got some data of length 345.
Apr  4 14:08:57 localhost NetworkManager: Server replied with 11 DHCP options:
Apr  4 14:08:57 localhost NetworkManager:       Subnet Mask (1):       
255.255.255.0
Apr  4 14:08:57 localhost NetworkManager:       Time Offset (2):        -21600
Apr  4 14:08:57 localhost NetworkManager:       Router (3):     192.168.250.1
Apr  4 14:08:57 localhost NetworkManager:       Time Server (4):       
192.168.250.38
Apr  4 14:08:57 localhost NetworkManager:       Domain Server (6):     
192.168.250.38
Apr  4 14:08:57 localhost NetworkManager:       Domain Server (6):     
192.168.250.20
Apr  4 14:08:57 localhost NetworkManager:       Hostname (12):  "shaka"
Apr  4 14:08:57 localhost NetworkManager:       Domain Name (15):      
"ec-group.com"
Apr  4 14:08:57 localhost NetworkManager:       Broadcast Address (28):
192.168.250.255
Apr  4 14:08:57 localhost NetworkManager:       Address Time (51):      -1
Apr  4 14:08:57 localhost NetworkManager:       DHCP Msg Type (53):     2
Apr  4 14:08:57 localhost NetworkManager:       DHCP Server Id (54):   
192.168.250.38
Apr  4 14:08:57 localhost NetworkManager:       Your IP Address:       
192.168.250.165
Apr  4 14:08:57 localhost NetworkManager:       DHCP Server Address:    0.0.0.0
(HW=00:03:BA:27:29:79)
Apr  4 14:08:57 localhost NetworkManager: DHCP_OFFER received from  (192.168.250.38)
Apr  4 14:08:57 localhost NetworkManager: Broadcasting DHCP_REQUEST for
192.168.250.165
Apr  4 14:08:57 localhost NetworkManager: DHCP: Starting request loop, overall
start_time = {1112641737s, 149150us}
Apr  4 14:08:57 localhost NetworkManager: DHCP: Request sent, waiting for reply...
Apr  4 14:08:57 localhost NetworkManager: DHCP: Got some data of length 345.
Apr  4 14:08:57 localhost NetworkManager: Server replied with 13 DHCP options:
Apr  4 14:08:57 localhost NetworkManager:       Subnet Mask (1):       
255.255.255.0
Apr  4 14:08:57 localhost NetworkManager:       Time Offset (2):        -21600
Apr  4 14:08:57 localhost NetworkManager:       Router (3):     192.168.250.1
Apr  4 14:08:57 localhost NetworkManager:       Time Server (4):       
192.168.250.38
Apr  4 14:08:57 localhost NetworkManager:       Domain Server (6):     
192.168.250.38
Apr  4 14:08:57 localhost NetworkManager:       Domain Server (6):     
192.168.250.20
Apr  4 14:08:57 localhost NetworkManager:       Hostname (12):  "shaka"
Apr  4 14:08:57 localhost NetworkManager:       Domain Name (15):      
"ec-group.com"
Apr  4 14:08:57 localhost NetworkManager:       Broadcast Address (28):
192.168.250.255
Apr  4 14:08:57 localhost NetworkManager:       Address Time (51):      -1
Apr  4 14:08:57 localhost NetworkManager:       DHCP Msg Type (53):     5
Apr  4 14:08:57 localhost NetworkManager:       DHCP Server Id (54):   
192.168.250.38
Apr  4 14:08:57 localhost NetworkManager:       Renewal Time (58):      0
Apr  4 14:08:57 localhost NetworkManager:       Rebinding Time (59):    0
Apr  4 14:08:57 localhost NetworkManager:       Your IP Address:       
192.168.250.165
Apr  4 14:08:57 localhost NetworkManager:       DHCP Server Address:    0.0.0.0
(HW=00:03:BA:27:29:79)
Apr  4 14:08:57 localhost NetworkManager: DHCP_ACK received from  (192.168.250.38)
Apr  4 14:08:57 localhost NetworkManager: <WARNING>       (): Clearing nscd
hosts cache.
Apr  4 14:08:57 localhost last message repeated 4 times
Apr  4 14:08:57 localhost NetworkManager: <WARNING>       (): Adding domain
search: ec-group.com
Apr  4 14:08:57 localhost NetworkManager: <WARNING>       (): Clearing nscd
hosts cache.
Comment 11 Dan Williams 2005-04-04 16:08:42 EDT
That's what I like to see.

Note You need to log in before you can comment on or make changes to this bug.